For the complete documentation index, see llms.txt. This page is also available as Markdown.

Contact (Deprecated)

This page provides API documentation for creating a contact in Saleschat.pro, including the required parameters and sample responses for successful contact creation.

Deprecated

Create a contact

post
  • Roles Allowed: ADMIN

  • Impersonated User Allowed: False

  • Partner Allowed: True

  • Error Codes : Error Message

  • 4030001 : FORBIDDEN

  • 4090001 : UQ_CONSTRAINT_FAILED

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orgIdstringRequired
Body
crm_idstring · max: 128Required
opt_in_datestring · date-timeRequired

epoch in seconds

first_namestring · max: 128OptionalPattern: ^(?!.*\*).*$
last_namestring · max: 128OptionalPattern: ^(?!.*\*).*$
governance_level_idstring · max: 128Optional
is_inboundbooleanOptional
sourcestring · enumOptionalPossible values:
Responses
200

Successfully registered contact

application/json
idstringOptional
crm_idstringOptional
opt_in_datestring · date-timeOptional

epoch in seconds

create_datestring · date-timeOptional

epoch in seconds

first_namestringOptional
last_namestringOptional
is_expiredbooleanOptional
post/v2/org/{orgId}/contact
POST /v2/org/{orgId}/contact HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 192

{
  "crm_id": "text",
  "phone_number": "+919999999999",
  "opt_in_date": "2026-01-01T00:00:00.000Z",
  "first_name": "text",
  "last_name": "text",
  "governance_level_id": "text",
  "is_inbound": true,
  "source": "BTRIX"
}
{
  "id": "text",
  "crm_id": "text",
  "opt_in_date": "2026-01-01T00:00:00.000Z",
  "create_date": "2026-01-01T00:00:00.000Z",
  "first_name": "text",
  "last_name": "text",
  "governance_level": {
    "id": "text",
    "name": "text"
  },
  "is_expired": true
}
Deprecated

Assign a contact to a user

post
  • Roles Allowed: ADMIN

  • Impersonated User Allowed: False

  • Partner Allowed: True

  • API will assign a contact to a user or a group from which the user can be selected. Only one of them is required, if both are provided, user_id will be used

  • assign_on_handover is a boolean flag to indicate if the user should be assigned to the chatroom after the lead has responded

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orgIdstringRequired
contactIdstringRequired
Body
user_idstringOptional
group_idstringOptional
remote_waba_idstringOptional
remote_phone_idstringOptional
assign_on_handoverbooleanOptional
Responses
202

User will be assigned to the room

No content

post/v3/orgs/{orgId}/contacts/{contactId}/assign
POST /v3/orgs/{orgId}/contacts/{contactId}/assign HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 111

{
  "user_id": "text",
  "group_id": "text",
  "remote_waba_id": "text",
  "remote_phone_id": "text",
  "assign_on_handover": true
}

No content

Deprecated

Update a contact

put
  • Roles Allowed: ADMIN

  • Impersonated User Allowed: FALSE

  • Partner Allowed: TRUE

  • Update contact crmID, first name, last name and chatroom name will be automatically updated

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orgIdstringRequired
contactIdstringRequired
Body
crm_idstring · max: 128Required
first_namestring · max: 128OptionalPattern: ^(?!.*\*).*$
last_namestring · max: 128OptionalPattern: ^(?!.*\*).*$
Responses
200

Successfully updated contact

application/json
idstringOptional
crm_idstringOptional
opt_in_datestring · date-timeOptional

epoch in seconds

create_datestring · date-timeOptional

epoch in seconds

first_namestringOptional
last_namestringOptional
is_expiredbooleanOptional
put/v1/orgs/{orgId}/contact/{contactId}
PUT /v1/orgs/{orgId}/contact/{contactId} HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 56

{
  "crm_id": "text",
  "first_name": "text",
  "last_name": "text"
}
{
  "id": "text",
  "crm_id": "text",
  "opt_in_date": "2026-01-01T00:00:00.000Z",
  "create_date": "2026-01-01T00:00:00.000Z",
  "first_name": "text",
  "last_name": "text",
  "governance_level": {
    "id": "text",
    "name": "text"
  },
  "is_expired": true
}
Deprecated

Update disposition & stage for a contact

put
  • Roles Allowed: ADMIN

  • Impersonated User Allowed: True

  • Partner Allowed: TRUE

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orgIdstringRequired
contactIdstringRequired
Body
stagestringRequired
dispositionstringOptional
Responses
200

Successfully updated contact disposition

application/json
stringOptional
put/v2/orgs/{orgId}/contact/{contactId}/disposition
PUT /v2/orgs/{orgId}/contact/{contactId}/disposition HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 95

{
  "additionalAttributes": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "stage": "text",
  "disposition": "text"
}
text

Get Contact by Phone Number

get
  • Roles Allowed: MEMBER

  • Impersonated User Allowed: True

  • Partner Allowed: True

  • PhoneNumber should be in E164 format

  • The result will contain all contacts for a given pn.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orgIdstringRequired
phoneNumberstringRequired

e164 format

Example: +919999999999
Responses
200

Successfully responding with list of all contacts for a pn

application/json
idstringOptional
crm_idstringOptional
opt_in_datestring · date-timeOptional

epoch in seconds

create_datestring · date-timeOptional

epoch in seconds

first_namestringOptional
last_namestringOptional
is_expiredbooleanOptional
expiry_tsstring · date-timeOptional
get/v2/org/{orgId}/contact/pn/{phoneNumber}
GET /v2/org/{orgId}/contact/pn/{phoneNumber} HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": "text",
    "crm_id": "text",
    "opt_in_date": "2026-01-01T00:00:00.000Z",
    "create_date": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "is_expired": true,
    "expiry_ts": "2026-01-01T00:00:00.000Z"
  }
]

Last updated